/* eslint-disable no-await-in-loop */
const { Op } = require("sequelize");
const config = require('@/config').value;
const { FileResources } = require('../db');
const { upload } = require('../utils');


module.exports = {
    expireFileDelete: async () => {
        const files = await FileResources.findAll({
            where: {
                used: false,
                create_at: {
                    [Op.lt]: new Date(Date.now() - config.file.expire_time),
                }
            },
            limit: 5
        });

        for (let i = 0; i < files.length; i++) {
            const file = files[i];
            upload.destroyFile(file.url);
            await file.destroy();
        }
    }
};