const { DataTypes } = require('sequelize');

module.exports = (sequelize) => {
    const FileResources = sequelize.define(`FileResources`, {
        name: {
            type: DataTypes.STRING,
            comment: 'file name'
        },
        type: {
            type: DataTypes.STRING,
            comment: 'file type'
        },
        url: {
            type: DataTypes.STRING,
            comment: 'file url'
        },
        size: {
            type: DataTypes.INTEGER,
            comment: 'file size'
        },
        used: {
            type: DataTypes.BOOLEAN,
        },
    }, {
        timestamps: true,
        tableName: 'file_resources',
        createdAt: "create_at",
        updatedAt: "update_at",
        paranoid: true
    });

    return FileResources;
};
