const Router = require('@koa/router');
const router = new Router();

const { upload, logger } = require('./utils');

const db = require('@/db');

router.get("/ping", async (ctx) => {
    const d = { t: Date.now(), s: 'ok' };
    try {
        await db.sequelize.authenticate();
        d.d = true;

    } catch (e) {
        d.d = false;
    }

    ctx.body = d;
});

router.post('/upload', async (ctx) => {
    try {
        await upload.upload(ctx, db);
    } catch (e) {
        if (e.message.startsWith("maxFileSize exceeded")) {
            ctx.res.fail({ message: 'file size exceed...' });

        } else {
            logger.error(`upload file error :%s`, e);
            ctx.res.fail({ message: 'upload error' + e });
        }
    }
});

if (['dev'].indexOf(process.env.NODE_ENV) > -1) {
    router.stack.filter((r) => r.methods.length).forEach((r) => {
        logger.warn(`Method: ${r.methods.join('/')} Path: ${r.path}`);
    });
}

module.exports = router;